Skip to main content
`Ctrl`+`K`

# PCSORSetOmega

Sets the SOR relaxation coefficient, omega (where omega = 1.0 by default).

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSORSetOmega(PC pc, PetscReal omega)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- omega - relaxation coefficient (0 < omega < 2).

## Options Database Key

- -pc_sor_omega omega - Sets omega

## Note

If omega != 1, you will need to set the `MAT_USE_INODE`S option to `PETSC_FALSE` on the matrix.

## See Also

KSP: Linear System Solvers, `PCSOR`, `PCSORSetSymmetric()`, `PCSORSetIterations()`, `PCEisenstatSetOmega()`, `MatSetOption()`

## Level

intermediate

## Location

src/ksp/pc/impls/sor/sor.c

## Implementations

PCSORSetOmega_SOR() in src/ksp/pc/impls/sor/sor.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages